Recommended fixes for WebSphere DataPower XC10 Appliance

Release notes


Abstract

The recommended and generally available (GA) fixes for IBM WebSphere DataPower XC10 Appliance. Tables include firmware and client links available on IBM Fix Central.

Content

For a complete list of WebSphere DataPower XC10 Appliance security bulletins, refer to the IBM Support Portal.

Version 2.5
Version 2.1  


Version 2.5
Installable
Fix Central Link
Level
Released
Comments
IT14471
2.5
29 APR 2016 For more information on the security vulnerabilities that are fixed, see the Security Bulletin.

IMPORTANT: As of APAR IT13446, MD5 signatures are no longer compatible with Java, installing this firmware will make it incompatible with any WebSphere eXtreme Scale clients or other XC10 appliances that are running with an MD5 certificate.

If any XC10 appliances in your collective are configured with a certificate with an MD5 signature, then those certificates must be replaced on all XC10 appliances before applying this firmware upgrade. In addition, all client truststores must be configured to trust the new certificate prior to restarting the collective. If this is not done the clients and appliances in the collective will fail to connect with each other.

Planning will be required for this firmware upgrade since the firmware on all of the appliances in the XC10 collective must be upgraded and all of the client truststores properly configured prior to restarting the collective.
Client Upgrade
8.6.0.8
Refer to the Version 8.6 table in the Recommended Fixes page for WebSphere eXtreme Scale.


 


Version 2.1
Installable
Fix Central Link
Level
Released
Comments
IT14471
2.1
29 APR 2016 For more information on the security vulnerabilities that are fixed, see the Security Bulletin.

IMPORTANT: As of APAR IT13446, MD5 signatures are no longer compatible with Java, installing this firmware will make it incompatible with any WebSphere eXtreme Scale clients or other XC10 appliances that are running with an MD5 certificate.

If any XC10 appliances in your collective are configured with a certificate with an MD5 signature, then those certificates must be replaced on all XC10 appliances before applying this firmware upgrade. In addition, all client truststores must be configured to trust the new certificate prior to restarting the collective. If this is not done the clients and appliances in the collective will fail to connect with each other.

Planning will be required for this firmware upgrade since the firmware on all of the appliances in the XC10 collective must be upgraded and all of the client truststores properly configured prior to restarting the collective.
Client Upgrade
8.5.0.3
Refer to the Version 8.5 table in the Recommended Fixes page for WebSphere eXtreme Scale.




Change history
Last Updated: 14 June 2013
  • 14 June 2013: Added 2.5 information.
  • 5 December 2011: Added Firmware Upgrade 2.0.0.2 and Client Fix Pack 4
  • 15 June 2011: Added Firmware Upgrade 2.0.0.1, Client Fix Pack 3, and Client for Version 2.0.

Document information


More support for:

WebSphere DataPower XC10 Appliance
Install and Migration

Software version:

2.0, 2.0.0.1, 2.0.0.2, 2.0.0.3, 2.1, 2.1.0.1, 2.1.0.2, 2.1.0.3, 2.5, 2.5.0.1, 2.5.0.2, 2.5.0.3, 2.5.0.4

Operating system(s):

Firmware

Reference #:

7019704

Modified date:

2016-04-29

Translate my page

Content navigation